function [val,Tx1,Tx2] = xx2val(C0, n, x1, x2)

% val = xx2val(C0, n, x1, x2)
%
% Compute the approximated values on the target points.
% C0 = the matrix computed with the pad2 or xu2 function.
% n = the degree of the Padua or the degree minus 1 of the Xu
% points.
% x1, x2 = the target points of the approximation.
%
% val = the approximated values on the points x1, x2.

rad2 = sqrt(2);
Tx1 = T(n,x1);
Tx1(2:n+1,:) = rad2*Tx1(2:n+1,:);
Tx2 = T(n,x2);
Tx2(2:n+1,:) = rad2*Tx2(2:n+1,:);
val = sum((Tx1'*C0).*Tx2',2)';
